Bug 191649 - Update of NetworkManager to 0.6.2-2.fc5 breaks NetworkManager-vpnc
Update of NetworkManager to 0.6.2-2.fc5 breaks NetworkManager-vpnc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-14 11:55 EDT by Joachim Selke
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version: NetworkManager-vpnc-0.6.2-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 09:45:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Selke 2006-05-14 11:55:40 EDT
Description of problem:
After updating NetworkManager from version 0.6.0-3 to 0.6.2-2.fc5 I get an error
when trying to establish a VPN connection.

With NetworkManager-0.6.0-3, NetworkManager-glib-0.6.0-3,
NetworkManager-gnome-0.6.0-3, NetworkManager-vpnc-0.6.0-3.fc5 and vpnc-0.3.3-7 I
can successfully establish a VPN connection and get the following messages in
/var/log/messages (I replaced some information like username by XXX):

May 14 17:21:00 jselke NetworkManager: <information>    Will activate VPN
connection 'Universität Hannover', service
'org.freedesktop.NetworkManager.vpnc', user_name 'XXX', vpn_data 'IPSec gateway
/ XXX / IPSec ID / XXX / Xauth username / XXX', route '130.75.0.0/16 /
199.222.69.0/24 / 194.95.112.0/24 / 193.174.240.0/24 / 140.98.0.0/16 /
140.234.29.0/24'.
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 1 of 4 (Connection Prepare) scheduled...
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 1 of 4 (Connection Prepare) ran VPN service daemon
org.freedesktop.NetworkManager.vpnc (PID 3359)
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 1 of 4 (Connection Prepare) complete.
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 2 of 4 (Connection Prepare Wait) scheduled...
May 14 17:21:00 jselke kernel: tun: Universal TUN/TAP device driver, 1.6
May 14 17:21:00 jselke kernel: tun: (C) 1999-2004 Max Krasnyansky
<maxk@qualcomm.com>
May 14 17:21:00 jselke NetworkManager: <information>    VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 1 -> 6.
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 2 of 4 (Connection Prepare Wait) waiting...
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 2 of 4 (Connection Prepare Wait) complete.
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) scheduled...
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) sending connect request.
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) request sent, waiting for reply...
May 14 17:21:00 jselke NetworkManager: <information>    VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 6 -> 3.
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) reply received.
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 4 of 4 (IP Config Get) timeout scheduled...
May 14 17:21:00 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) complete, waiting for IP
configuration...
May 14 17:21:02 jselke vpnc: local address for 130.75.236.19 is 192.168.0.1
May 14 17:21:02 jselke vpnc: local address for 130.75.2.40 is 192.168.0.1
May 14 17:21:02 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 4 of 4 (IP Config Get) reply received.
May 14 17:21:02 jselke vpnc[3367]: unknown spi 0
May 14 17:21:02 jselke vpnc[3367]: unknown spi from 130.75.2.40
May 14 17:21:02 jselke vpnc[3367]: unknown spi 0
May 14 17:21:02 jselke vpnc[3367]: unknown spi from 130.75.2.40
May 14 17:21:03 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 4 of 4 (IP Config Get) complete.
May 14 17:21:03 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) successful.
May 14 17:21:03 jselke NetworkManager: <information>    VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 3 -> 4.

After updating to NetworkManager-0.6.2-2.fc5, NetworkManager-glib-0.6.2-2.fc5,
NetworkManager-gnome-0.6.2-2.fc5, NetworkManager-vpnc-0.6.0-3.fc5, vpnc-0.3.3-7
I get the following messages:

May 14 17:37:51 jselke NetworkManager: <information>    Will activate VPN
connection 'Universität Hannover', service
'org.freedesktop.NetworkManager.vpnc', user_name 'XXX', vpn_data 'IPSec gateway
/ XXX / IPSec ID / XXX / Xauth username / XXX', route '130.75.0.0/16 /
199.222.69.0/24 / 194.95.112.0/24 / 193.174.240.0/24 / 140.98.0.0/16 /
140.234.29.0/24'.
May 14 17:37:51 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 1 of 4 (Connection Prepare) scheduled...
May 14 17:37:51 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 1 of 4 (Connection Prepare) ran VPN service daemon
org.freedesktop.NetworkManager.vpnc (PID 2757)
May 14 17:37:51 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 1 of 4 (Connection Prepare) complete.
May 14 17:37:51 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 2 of 4 (Connection Prepare Wait) scheduled...
May 14 17:37:52 jselke kernel: tun: Universal TUN/TAP device driver, 1.6
May 14 17:37:52 jselke kernel: tun: (C) 1999-2004 Max Krasnyansky
<maxk@qualcomm.com>
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 2 of 4 (Connection Prepare Wait) waiting...
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 2 of 4 (Connection Prepare Wait) scheduled...
May 14 17:37:52 jselke NetworkManager: <information>    VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 1 -> 6.
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 2 of 4 (Connection Prepare Wait) waiting...
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 2 of 4 (Connection Prepare Wait) complete.
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) scheduled...
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) sending connect request.
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) request sent, waiting for reply...
May 14 17:37:52 jselke NetworkManager: <information>    VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 6 -> 3.
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) reply received.
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 4 of 4 (IP Config Get) timeout scheduled...
May 14 17:37:52 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 3 of 4 (Connect) complete, waiting for IP
configuration...
May 14 17:37:54 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) Stage 4 of 4 (IP Config Get) reply received.
May 14 17:37:54 jselke NetworkManager: <WARNING>         get_dbus_guint32_helper
(): Error: couldn't get MSS from VPN IP Config message.
May 14 17:37:54 jselke NetworkManager: <WARNING>        
nm_vpn_service_stage4_ip_config_get (): (VPN Service
org.freedesktop.NetworkManager.vpnc): did not receive valid IP config information.
May 14 17:37:54 jselke vpnc: local address for 130.75.236.15 is 192.168.0.1
May 14 17:37:54 jselke vpnc: local address for 130.75.2.40 is 192.168.0.1
May 14 17:37:54 jselke NetworkManager: <information>    VPN Activation
(Universität Hannover) failed.
May 14 17:37:54 jselke NetworkManager: <information>    VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 3 -> 4.
May 14 17:37:54 jselke vpnc[2766]: poll: Interrupted system call
May 14 17:37:54 jselke NetworkManager: <information>    VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 4 -> 5.
May 14 17:37:54 jselke NetworkManager: <information>    VPN service
'org.freedesktop.NetworkManager.vpnc' signaled state change 5 -> 6.
May 14 17:37:54 jselke vpnc[2766]: terminated


I get no messages in /var/log/audit/audit.log when trying this, so this is not a
bug in SELinux policy.
Comment 1 Joachim Selke 2006-05-16 09:45:03 EDT
Fixed in NetworkManager-vpnc-0.6.2-1.fc5. Thank you. :-)

Note You need to log in before you can comment on or make changes to this bug.